$ontext
Chapter 3 - example
$offtext

Set c    /n tomato,
sp, sj, sm, kr, vr, ka, mp, mj, p, kp, bj, bp /;

Parameters
gm(c) "     (/)" /n 277,sp 37, sj 30, sm 23,
kr 9, vr 17, ka 60, mp 105, mj 15, p 326, kp 389, bj 52, bp 117/

lab(c) "    (/)" /n 6.5, sp 1.3, sj 1.1, sm 1.1,
kr 1.1, vr 1.1, ka 1.7, mp 5.5, mj 5.3, p 150, kp 90, bj 1.9, bp 2 /

cap(c) "    (/)" /n 442, sp 62, sj 52, sm 44, kr 44,
vr 44, ka 126,mp 115, mj 95, p 543, kp 499, bj 97, bp 119 /;

;


Positive Variables  x(c) "(hectares)";

Variable  z objective function value;

Equations
 Obj objective
 land_constraint Land constraint
 labor_constraint Labour constraint
 wCapital_constraint Capital constraint
;

Obj..  sum(c, x(c)*gm(c)) =e= z;

land_constraint.. sum(c, x(c)) =l= 30;

labor_constraint.. sum(c, x(c)*lab(c)) =l= 600;

wCapital_constraint..  sum(c, x(c)*cap(c)) =l= 5200;


Model Problem /all/;

Solve Problem using LP maximizing z;
