$ontext
max{Z=277*Xn+117*Xb+290*Xc}
s.t.
1: Xn+Xb+Xc <= 30
2: 6.5*Xb+2*Xc <= 600
3: 442*Xn+120*Xb <= 5200
4: 4*Xn+12*Xc <= 200
5: Xn >= 2
6: Xb >=0
7: Xc >=0
$offtext

Positive Variables
 Xn the Xn variable
 Xb the Xb variable
 Xc the Xb variable
;

Variable  z The value of the objective function;

Equations
 Obj Objective function
 con1 constraint 1
 con2 constraint 2
 con3 constraint 3
 con4 constraint 4
 con5 constraint 5
;

Obj..  277*Xn + 117*Xb + 290*Xc =e= z;

con1.. Xn + Xb + Xc =l= 30;
con2.. 6.5*Xb + 2*Xc =l= 600;
con3.. 442*Xn + 120*Xb =l= 5200;
con4.. 4*Xn + 12*Xc =l=200;
con5.. Xn =g=2;

Model Problem /all/;

Solve Problem using LP maximizing z;
